COREDNS(1)

NAME
coredns

NAME
coredns - plugable DNS nameserver optimized for service discovery and flexibility.

SYNOPSIS
coredns [OPTION]...

DESCRIPTION
CoreDNS is a DNS server that chains plugins. Each plugin handles a DNS feature, like rewriting queries, kubernetes service discovery or just exporting metrics. There are many other plugins, each described on https://coredns.io/plugins and there respective manual pages. Plugins not bundled in CoreDNS are listed on https://coredns.io/explugins.

When started with no options CoreDNS will looks for a file names Corefile in the current directory, if found it will parse its contents and start up accordingly. If no Corefile is found it will start with the whoami plugin (coredns-whoami(7)) and start listening on port 53 (unless overriden with -dns.port).

Available options:

-conf FILE
    specificy Corefile to load.

-cpu CAP
    specify maximum CPU capacity in percent.

-dns.port PORT
    override default port (53) to listen on.

-pidfile FILE
    write PID to FILE.

-plugins
    list all plugins and quit.

-quiet
    don't print any version and port information on startup.

-version
    show version and quit.

AUTHORS
CoreDNS Authors.

COPYRIGHT
Apache License 2.0

SEE ALSO
Corefile(5) coredns-debug(7) coredns-dnssec(7) coredns-health(7) coredns-log(7) coredns-file(7) coredns-nsid(7) coredns-auto(7) coredns-erratic(7) coredns-chaos(7) coredns-dnstap(7) coredns-pprof(7) coredns-tls(7) coredns-loadbalance(7) coredns-cache(7) coredns-root(7) coredns-whoami(7) coredns-bind(7) coredns-hosts(7) coredns-template(7) coredns-proxy(7) coredns-autopath(7) coredns-kubernetes(7) coredns-forward(7) coredns-secondary(7) coredns-route53(7) coredns-errors(7) coredns-metrics(7) coredns-reload(7) coredns-rewrite(7) coredns-federation(7) coredns-etcd(7) coredns-trace(7).